
Redmine - Feature #6036

user permission is changing as the workflow state is changed

2010-08-05 05:26 - z x

Status: Closed Start date: 2010-08-05

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues workflow Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

We are researching now if redmine can be used for our company. There is a special requirement.

As the issue state is changed the user/role permission should be changed. For detail: issue state is new developer is allowed to

change issue properties and tester is not allowed to change issue properties. But when issue state is changed into resolved

developer can not change issue properties and tester can change issues properties.

How can I implement such function?

Related issues:

Is duplicate of Redmine - Feature #3521: Permissions for roles to change fiel... Closed 2009-06-22

History

#1 - 2010-08-05 10:39 - Felix Schäfer

- Priority changed from High to Normal

This is currently possible for the issue status only, i.e. all other fields are freely editable by every user with the permission to edit the issue. The issue

status is controlled by the workflows for the tracker, i.e. you can define in the administration what status changes are permitted for what role for a

certain tracker.

#2 - 2010-08-05 11:54 - z x

Got meaning. So issue properties can not be fine-grain controll. It includes each issue property R+W.

#3 - 2018-04-02 13:57 - Go MAEDA

- Is duplicate of Feature #3521: Permissions for roles to change fields per tracker/status added

#4 - 2018-04-02 13:58 - Go MAEDA

- Category set to Issues workflow

- Status changed from New to Closed

- Resolution set to Duplicate

Implemented by #3521 (Redmine 2.1.0).
